imports:
    - { resource: config.yml }

parameters:
    main_log_channels: []

framework:
    session:
        cookie_path: '%web_backend_prefix%'

oro_frontend:
    session:
        # More info about storefront session cookie configuration can be found at
        # https://doc.oroinc.com/backend/setup/post-install/cookies-configuration/#storefront-session-cookie
        name:        OROSFID
        cookie_path: '/'

doctrine:
    dbal:
        logging:            true

monolog:
    handlers:
        filtered:
            type: filter
            min_level: info
            handler: main
            channels: '%main_log_channels%' # The channels configuration only works for top-level handlers
        main:
            type: fingers_crossed
            action_level: error
            handler: grouped
            buffer_size:    100
            excluded_http_codes: [ 404, 405 ]
        grouped:
            type: group
            members: [streamed, deduplicated]

        streamed:
            type:           stream
            path:           "%log_path%"
            level:          debug

        deduplicated:
            type:           deduplication
            handler:        symfony_mailer
            time:           10
            store:          "%kernel.logs_dir%/deduplicated.log"

        symfony_mailer:
            type:           symfony_mailer
            email_prototype:
                id:         oro_logger.monolog.email_factory.error_log_notification
                method:     createEmail
            level:          debug
            formatter:      monolog.formatter.html

